| DayF core 1.2.1.2 DayF (Decision at your Fingertips) is an AutoML freeware development framework that let developers works with Machine Learning models without any idea of AI, simply taking a csv dataset and the objective column

Public Member Functions | List of all members
gdayf.handler_metrics.h2oclusteringmetricmetadata.H2OClusteringMetricMetadata Class Reference
Inheritance diagram for gdayf.handler_metrics.h2oclusteringmetricmetadata.H2OClusteringMetricMetadata:
[legend]
Collaboration diagram for gdayf.handler_metrics.h2oclusteringmetricmetadata.H2OClusteringMetricMetadata:
[legend]

## Public Member Functions
def | __init__ (self)
| Method constructor. More...
def | set_metrics (self, perf_metrics)
| Method to load Clustering metrics from H2OClusteringModelMetrics class. More...
Public Member Functions inherited from gdayf.metrics.clusteringmetricmetadata.ClusteringMetricMetadata
def | __init__ (self)
| Method constructor. More...
def | set_precision (self, threshold)
| Method to set precision measure Not implemented yet.
def | set_h2ometrics (self, perf_metrics)
| Method to load Clustering metrics from H2OClusteringModelMetrics class. More...
def | set_sparkmetrics (self, model, data)
| Method to load Regression metrics from Spark RegressionEvaluator class. More...
Public Member Functions inherited from gdayf.metrics.metricmetadata.MetricMetadata
def | __init__ (self)
| Method constructor. More...

## Detailed Description

Definition at line 39 of file h2oclusteringmetricmetadata.py.

## Constructor & Destructor Documentation

## ◆ __init__()

def gdayf.handler_metrics.h2oclusteringmetricmetadata.H2OClusteringMetricMetadata.__init__ | ( |  | self | ) |

Method constructor.

Parameters

  self | object pointer

Definition at line 43 of file h2oclusteringmetricmetadata.py.

## Member Function Documentation

## ◆ set_metrics()

def gdayf.handler_metrics.h2oclusteringmetricmetadata.H2OClusteringMetricMetadata.set_metrics | ( |  | self,
|  |  | perf_metrics
| ) |  |

Method to load Clustering metrics from H2OClusteringModelMetrics class.

Parameters

  self | objetct pointer
  perf_metrics | H2ORegressionModelMetrics

Definition at line 50 of file h2oclusteringmetricmetadata.py.

The documentation for this class was generated from the following file:

- D:/OneDrive/DayF/git/gdayf-core/src/gdayf/handler_metrics/h2oclusteringmetricmetadata.py